import React from 'react';
import ReactDom from 'react-dom';
import axios from 'axios';
import './login.css';
import App from './App';
import { Row, Col, Input, Layout, Button, Icon, Tooltip } from 'antd';
import Title from 'antd/lib/typography/Title';
import { Route } from 'react-router';
import SiderConfig from './siderConfig';

class Login extends React.Component {

    componentWillMount() {

        if(this.props.isAutoLogin) {

        axios.post("/api/login", new FormData()).then(loginInfo => {
            axios.post("/api/user/config", new FormData()).then( value => {
                console.log(value);
                ReactDom.render(<SiderConfig userName={value.data["user"]}></SiderConfig>, document.getElementById('root'))
            } )

            return    
            });
        }
    }

    onClick = (e) => {
        var user = this.refs["login-user"].input.value
        var pwd = this.refs["login-passwd"].input.value
        console.log(user, pwd);
        var form = new FormData();
        form.append("user", user);
        form.append("pwd", pwd);
        axios.post("/api/login", form).then(value => {
            ReactDom.render(<SiderConfig userName={user}></SiderConfig>, document.getElementById('root'))
            return    
        });
    }

    render() {
        return (
            <Layout onPlay={this.onLoad} style={{ minHeight: "100vh" }}>

                <div style={{ marginTop: "30vh" }}>
                <Row className="login-input" type="flex" justify="center"><Title>Apollo Local</Title></Row>
                    

                    <Row className="login-input" type="flex" justify="center">
                        <Input  ref="login-user" placeholder="用户" style={{ width: "50vh" }} 
                        prefix={ <Tooltip title="用户名"> <Icon type="user" style={{ color: 'rgba(0,0,0,.25)' }}  /> </Tooltip>} 
                        suffix={
                              <Icon type="info-circle" style={{ color: 'rgba(0,0,0,.45)' }} />
                        }
                        />
                    </Row>
                    <Row className="login-input" type="flex" justify="center">
                        <Input.Password ref="login-passwd" placeholder="密码" style={{ width: "50vh" }} 
                        prefix={<Tooltip title="密码"> <Icon type="safety" style={{ color: 'rgba(0,0,0,.25)' }} /> </Tooltip>} 
    
                        />
                    </Row>
                    <Row className="login-input" type="flex" justify="center">
                        <Button className="login-button" onClick={this.onClick}>登录</Button>
                    </Row>

                </div>

            </Layout>
        )
    }
}

export default Login;